#!/usr/bin/env python
from nose.tools import *
import networkz

class TestDistance:

    def setUp(self):
        G=networkz.Graph() 
        from networkz import convert_node_labels_to_integers as cnlti
        G=cnlti(networkz.grid_2d_graph(4,4),first_label=1,ordering="sorted")
        self.G=G

    def test_eccentricity(self):
        assert_equal(networkz.eccentricity(self.G,1),6)
        e=networkz.eccentricity(self.G)
        assert_equal(e[1],6) 
        
    def test_diameter(self):
        assert_equal(networkz.diameter(self.G),6)

    def test_radius(self):
        assert_equal(networkz.radius(self.G),4)

    def test_periphery(self):
        assert_equal(set(networkz.periphery(self.G)),set([1, 4, 13, 16]))

    def test_center(self):
        assert_equal(set(networkz.center(self.G)),set([6, 7, 10, 11]))

    def test_radius_exception(self):
        G=networkz.Graph()
        G.add_edge(1,2)
        G.add_edge(3,4)
        assert_raises(networkz.NetworkXError, networkz.diameter, G)

    def test_eccentricity_exception(self):
        G=networkz.Graph()
        G.add_edge(1,2)
        G.add_edge(3,4)
        assert_raises(networkz.NetworkXError, networkz.eccentricity, G)

